﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg house1 = "House1.jpg"
    image bg outside = "Outside1.jpg"
    image mikoto normal = "Mikotonormal.png"
    image bg attic = "Attic.jpg"
    image bg black = "Black.jpg"
    image bg shoppingdistrict = "Shoppingdistrict.jpg"
    image fin = "Fin.jpg"
    image mikoto mage = "Mikotomage.png"
    
    # Declare characters used by this game.
    $ a = Character('Amoto', show_two_window=True)
    $ m = Character('Mikoto', show_two_window=True)
    $ g = Character('Girl', show_two_window=True)
    $ n = Character(None, kind=nvl)
    

# The game starts here.
label start:

    scene bg house1 with fade

    "*Click* ... {w=1.0}*Click*"
    "Hmmm..."
    a "Maybe I should make a visual novel..."
    n "My name is Amoto."
    n "I'm just a normal 17 year old kid who's a junior in high school."
    n "You could say I'm a bit of an otaku, but I'm not hardcore."
    
    nvl clear
    
    "*Click* ... {w=1.0}*Click*"
    
    n "Things have been a little quiet around here without my Grandfather."
    n "I still remember the last day he was here."
    n "\"I'm taking a trip to Hawaii for a while! Take care of my house while I'm gone!\""
    n "He always just leaves like that, almost never home."
    
    nvl clear 
    
    n "In other words, I got ditched at home by the old man."
    
    nvl clear
    
    a "Oh... This program looks nice."
    a "It's called {w}Ren'Py."
    a "What an odd name... {w}Maybe I should try making a visual novel with this."
    "My friend and I have been thinking about making a visual novel for quite some time now."
    "*Thud*"
    "...{w} What{w} was that?"
    "It sounded like it came from above...{w} But it was probly just my imagination."
    ".{w}.{w}."
    "Knew it. It was just my imagi-"
    "*Thud* {w=1.0}*Thud*"
    "It's probly those friggin' kids in the neighborhood again. I told them last week not to play baseball out in the streets."
    "I make my way through to the front of the house."
    "I peak out a front window at the streets."
    "No one."
    "Strange..."
    "*Thud*"
    "..."
    "What if someone is trying to break in my house?"
    "I grab the wooden sword lying in the umbrella rack and slowly walk upstairs as quiet as possible."
    "Don't get me wrong. I got this thing from an anime convention.{w} Soo... I have no idea how to use it."
    "I cautiously check in every room."
    "As I thought. Nothing. No doors seem out of place, no items missing."
    "???" "Kyaa-!"
    "I quickly spin around and scan the area."
    "Nothing..."
    "*Crash*{w}...{w=1.5} *Tumble tumble*"
    "My heart pounds against my rib cage as if it wants to jump out."
    "I freeze for that moment to analyze the sound."
    "That's definitely from above...{w} Which means..."
    a "The attic!"
    "I move the attic door on the ceiling and the stairs popped down."
    "I could feel how sweaty my hands were on the hilt of my wooden sword."
    "*Creak*"
    "The first step I take on the stairs made a loud noise."
    "My body freezes for that one moment."
    "My breath gets heavier and heavier."
    "*Creak*{w} *Creak*"
    "I could hear my heartbeat increase along with my ascent."
    
    scene bg attic with fade
    
    "I poke my head in, with my wooden sword raised, prepared to strike."
    "I take a good look around the attic, which was filled with crap long forgotten."
    "Some of the boxes seemed to be stacked in one area.{w} Suddenly a box in the stack moved."
    "I slightly shift my sweaty hands on the wooden sword."
    a "W-who's there?!"
    "My mouth was so dry, my voice almost cracked as I spoke."
    "I tighten my grip on the sword."
    "The box fell over, causing me to jump back a little, and I finally see what was causing all the noise."
    "It's an animal!"
    "An animal got into my attic?"
    "No..."
    "It was{w} a{w} girl...?"
    
    show mikoto mage with dissolve
    
    g "Oww!"
    "My body seemed to have stopped functioning."
    "All the noises that I've been hearing are coming from a little girl..."
    "I drop my sword from striking position."
    "My shoulders drop along with a deep breath and all of the tension."
    "She looked too cute to be a robber{w}... Not to mention she's just a kid.{w} Now that I think about it, how did she get in my attic anyways?"
    "The girl looks up and spots my weapon."
    "She quickly covers her head."
    g "Kyaa! Please don't hurt me!"
    "Eh?"
    "She began to shiver."
    g "My name is Mikoto, from the Engrald country!"
    "..."
    m "Here! I'll show you my ID!"
    "She pulls out a small stone from her pocket with her shaky hands and places it on the floor."
    "... Huh?"
    "The stone suddenly glows."
    a "Whoa!"
    "An image appears above the stone."
    "It's her{w}... Except it looks like she's grumpy and tired."
    m "Oh, heh. It was pretty early in the morning when they took that image."
    "She smiles and scratches the back of her head."
    a "Whoa, how did you do tha-?!{w} Wait, more importantly why are you in my house?! How did you get in my attic?!"
    m "Oh!"
    "She got up from the boxes and wiped the dust off her clothes."
    "I back up to give her room."
    m "I was in an experiment with teleporting magic, it's still new magic, and it doesn't help that I'm new either, haha. some of the catalysts must have went haywired a-"
    a "Whoawhoa Stooop!{w} Teleporting?!{w} Magic?!{w} Catalysts?!{w} What are you saying?!"
    m "Well, I had a little accident with the ingredients. Heh heh~"
    "She puts on a big smile that almost makes me want to forgive her."
    "Wait... How could I forgive her for something she couldn't have done?"
    "She looks at the rubble on the floor."
    m "Eh. Sorry."
    "The smile stays on her face and she scratches the back of her head again."
    m "Now, if you could point me to the exit of your lair."
    a "... This is my attic, not a lair. {w}That's beside the point! How did you really get in here?!"
    m "Magic."
    a "... Magic...?"
    m "Magic!"
    a "Magic doesn't exist."
    m "Sure it does!"
    "... Is she a mental institution escapee...? {w}Or is she just messing with me...?"
    m "Look!"
    "She spins around and holds her hands out at a box."
    "...{w} Nothing..."
    "She tilts her head sideways."
    m "Eh?"
    "She turns back to me."
    m "Hehe. Sorry. I'm a little tired from the amount of magic I used to use teleport."
    "I knew it.{w} She is crazy."
    "That rock was probly some small device she bought at a cosplay store or something."
    "I let out a big sigh."
    "What kind of trouble did I get into this time?"
    m "But you've never seen magic before?{w} You're weird."
    "I REALLY don't want to hear that from you!"
    a "Okay, what exactly do you want to accomplish by being here?"
    m "Nothing. I told you, I came here on accident... But I want to go home now."
    "Ok, none of these questions are helping."
    a "... Alright. Come with me."
    "This might be a trick, but nothing I can do about it now."
    
    hide mikoto mage
    scene bg house1
    with fade
    
    "I take her downstairs, with the wooden sword still at hand."
    "I don't think I need it anymore, but I'll keep it, just in case."
    "I lead her to the front door."
    "She walks up to the door and examines it."
    
    show mikoto mage with dissolve
    
    "She stops and tilts her head for a moment."
    "She turns back to me."
    m "Where is the magic stone that you use to open this door?"
    "Is she seriously still on this 'magic' stuff?"
    "Might as well play along a bit, if it'll get her out faster."
    a "There is none, you use the door knob."
    "She examines the door closer and points at the doornob."
    m "This?"
    a "Yeah..."
    "After a closer examination, she pokes it and quickly retracts her hand."
    m "It's not working, sir."
    a "You have to turn it."
    "She puts a hand on the doornob, turns it, and pauses."
    "..."
    a "Now pull..."
    "She pulls but it doesn't budge."
    "She puts her other hand on the doornob and pulls with all of her strength."
    "Her eyes were tightly shut and her face begins to turn red."
    m "Hhgggnnn-!"
    "Seriously?"
    "The door suddenly pops open."
    m "Kyaa-"
    "She falls backwards."
    a "Whoa!"
    "My body quickly reacts."
    "I barely managed to catch her by her arms."
    a "Are you alright?"
    m "Oh!"
    "She jumps upright, then bows as low as possible."
    m "I'm sorry for troubling you so much!"
    a "No big deal..."
    "Her arms are really thin..."
    "It felt like they would have snap if I put anymore strength into holding her up."
    m "Then, if you'll excuse me, I will find a way home by myself from now on."
    m "... Probably..."
    "She bows once again finally and walks out the door, looking around like she's in a wonderland she's never seen before."
    
    hide mikoto mage with dissolve
    
    "I close the door behind her."
    "... I have a really bad feeling about this. I don't think she should be left alone out in public like that."
    a "No!{w} No!{w} It's not my problem anymore. She's gone now."
    "I plop back into my chair in front of my computer."
    
    scene bg house1 with fade
    
    a "I'm not worried...{w} I'm not worried...{w} not my problem."
    "I slap myself in the face a few times."
    "I decide to get my mind off the subject and watch some TV."
    a "Here we go."
    "I plop into the couch and turn on the TV to some crappy Korean drama."
    "Korean Drama Actor" "Why would you leave her alone like that?! You knew she was vulnerable!"
    "I quickly change the channel."
    "Anime Knight" "You must protect her. It's a man's job."
    "I change it to the next channel."
    "Man With Serious Face" "You.... Left her alone...?"
    "Next!"
    "Man in Game Show" "PUT IT IN!"
    a "GODAAAAMMIT!"
    "*Thud*"
    
    with vpunch
    
    "I try to jump over my couch, but the tip of my foot gets caught and I fall over to the floor."
    "The spirit of the man inside me overcomes the pain."
    a "MUST{w} FIND{w} LITTLE {w}GIRL!"
    
    with vpunch
    
    "I slam the front door open and sprint down the road."
    "I get a lot of stares, but I don't care."
    "The only thing that's in my mind right now is to find her."
    
    scene bg outside with fade
    
    "The wind blows in my face as I sprint up the street."
    a "She couldn't have gone far!"
    "I continue down the street until a police car reaches the border of my sight."
    a "No way."
    
    scene bg outside
    show mikoto mage
    with fade
    
    "Officer" "Umm..."
    m "And if you could point me in the right direction, I will be on my way."
    "Officer" "Where was it you wanted to go again...?"
    m "Engrald."
    "Officer" "... Right... Is that, like, in Germany or something?"
    m "No officer, you see, I telepor-"
    a "WAAAAAAAIT!"
    "I run up to the officer."
    "The officer pulls back like I'm about to run him over."
    "I use all my strength to bring my body to a complete halt."
    "I take a deep bow, grabbing Mikoto's head and pushing it down so she's bowing as well."
    
    hide mikoto mage with dissolve
    
    "He stares in confusion... Or is it fear?"
    a "I'm very sorry!"
    a "This is my cousin from a foreign country! She had just moved here and is very confused about modern life!"
    "Officer" "O-okay..."
    a "Please excuse us!"
    "I grab Mikoto's hand, catching her off guard."
    
    show mikoto mage with dissolve
    
    m "Eh?"
    "I pull on her hand and start to run back."
    
    hide mikoto mage with dissolve
    
    "Officer" "... A kidnapping?"
    "Officer" "..."
    "Offcier" "Where's Engrald anyways?"

    scene bg house1 with fade
    
    "We make it back in the house."
    "I run in and slam the door."
    "I could hear the blood pounding in my veins."
    "We both stop for a moment to catch our breath."
    
    show mikoto mage with dissolve
    
    m "What's wrong?"
    a "What's wron-{w=0.3} WHAT'S WRONG?!"
    a "You were about to say you teleported!"
    "I try to voice out my frustration."
    "She lowers her head and pouts. She speaks quietly."
    m "But it's the truth..."
    "Sticking to that story, even when it comes to a police officer, huh?"
    "I let out a big sigh."
    a "Alright look, you can cosplay and pretend you're a magical girl or whatever-"
    m "Yay! You admitted I'm a magician!"
    "She jumps, raising both of her hands up."
    "I bury my face into my palm."
    a "BUT, {w}you can't tell a story like that to a police officer."
    "She puts her hands down."
    m "Why not...?"
    "Then she tilts her head."
    m "And what's a police officer?"
    a "The man you were talking to before..."
    m "Oh...{w} What does a police officer do?"
    "Seems like she has amnesia or something."
    "No way I can just leave her just roaming around like this."
    a "... Okay nevermind that. It's getting late, you can stay here for the night, alright?"
    m "Oh, thank you, sir..."
    a "You can just call me Amoto."
    m "Thank you Amoto-san!"
    a "Just Amoto..."
    a "Well, anyways, you should go take a shower now."
    m "Shower...?"
    a "You know, a bath."
    m "Oh, okay!"
    
    hide mikoto mage
    scene bg house1
    with fade
    
    "I show her to my bathroom upstairs."
    
    show mikoto mage with dissolve
    
    "She examines the bathtub."
    m "Where's the stone that turns the water on?"
    a "No stones..."
    "I explained to her how to use the hot and cold water knobs."
    a "Pull this knob up and water will come out of the top instead of the bottom."
    "I point to the showerhead."
    a "Got it?"
    "She examines it closer."
    m "Yes."
    a "You going to be okay from this point?"
    "She puts her hands on her chest and makes a determined face."
    m "Yes! I'll be okay."
    m "... Probably..." 
    
    hide mikoto mage with dissolve
    
    "I walk out of the bathroom." 
    "As I'm about to take the staircase down I couldn't help but to think..."
    a "Is she going to be alright in ther-?"
    m "Kyaa-!"
    "Knew it..."
    "I run back and knock on the door."
    a "What's wrong?!"
    m "It's sooo hooot."
    a "Turn the knob that has the letter H on it!"
    "..."
    m "Kyaa-!!!"
    a "Wrong direction."
    "..."
    m "It's okay now."
    "Jeez... This girl."
    
    scene bg house1 with fade
    
    "My body plops back on the couch."
    "Everything seems to just unwind and I begin to reminisce about the day."
    "You know...{w} I haven't really thought about it until now...{w} But I'm in the same house as a girl."
    "Who has a few marbles missing..."
    "But she's still a girl, and she's pretty cute."
    "I slouch deeper into my couch."
    "Whoa, okay.{w} I can't be thinkin' these kinds of things."
    "She's only going to be here for a bit. Once she turns back to normal-{w=1.0}...{w=1.0} Once someone she knows finds her, she'll be on her way."
    "What if she doesn't know anyone... What if she's homeless..."
    "Hmm. Her clothes say otherwise."
    "Well, If that's how it is then so be it. Can't do anything about it."
    "I'm still under the same roof with a girl."
    "And she's upstairs.... naked.... in my shower."
    "Whatever, not like anything's going to happen."
    "If anything, I should get her back to where she belongs ASAP."
    "I snatch the remote from the table and turn on the TV to a Japanese Drama."
    "Woman in TV" "But you know... He's still a healthy boy and-"
    "I quickly change it."
    "Man in reality TV show" "Hah! You expect me to live in the same house with a woman and not get laid?"
    "Change."
    "Little Girl" "You don't have to hold back..."
    "NEXT!"
    "Man in TV" "PUT IT IN!"
    "I turn the TV completely off."
    "No more TV."
    "..."
    "Oh well."
    "I lay down on my couch and relax."
    
    scene bg house1 with fade
    
    "The shower seems to have stopped."
    "I suddenly hear a small voice."
    m "{size=10}Amoto..."
    "I walk upstairs."
    m "A-Amotooo-."
    a "What's wrong?"
    "..."
    a "Mikoto?"
    m "{size=10}I don't have anything to wear..."
    "Her voice was way too small."
    a "Speak up, I can't hear you."
    m "I don't have anything to wear..."
    a "You don't have anything to wear?"
    "..."
    "Oh crap.{w} That's right.{w} She needs some new clothes."
    a "Okay, just wait in there, alright? I'll get some clothes for you."
    "..."
    m "Okay..."
    
    scene bg house1 with fade
    
    "I come back with some old clothes that don't fit me anymore."
    "My hand reaches for the door, but suddenly stops."
    "There's a naked girl behind this door."
    "I slowly turn the doornob."
    "..."
    "...{w} Maybe{w} if I just-"
    m "Don't look!"
    "Pwned."
    a "I won't..."
    "I slowly open the door with my eyes closed and shove the clothes in through the small crack."
    "The clothes were yanked out of my hand and the door was slammed shut, almost on my hand."
    a "Alright, it's getting late so once you're done dressing yourself go into my room and sleep on the bed there."
    "The door opens slowly, revealing how she looks in my old clothes."
    
    show mikoto normal with dissolve
    
    "That was fast."
    "It seemed a little too big for her. There were plenty of wrinkles and the sleeves almost covered her whole hand."
    "Moee~."
    "She spoke very quietly."
    m "Then where are you going to sleep?"
    a "Downstairs on the couch."
    m "But-"
    a "No buts."
    m "But-"
    a "It's alright, you're the guest here."
    "She broke eye contact."
    m "We could... Share."
    "My heart skipped a beat."
    a "I-I said it's alright."
    
    hide mikoto normal with dissolve
    
    "After I took my shower, I went downstairs to my new bed."
    "I hop into the couch and pull the covers over my body."
    "Thinking back to what just happened."
    a "A girl just asked me to sleep with her and I said no..."
    "..."
    "Just shut up and go to sleep."
    
    hide bg house1
    
    centered "The Next Day." with fade
    with fade
    
    scene bg black
    
    m "Amotooo."
    a "Uggghh..."
    "I feel someone gently pushing me."
    
    
    scene bg house1
    window hide
    show mikoto normal
    with fade
    
    
    
    window hide
    
    a "Wha-{w} Who are you?"
    a "... Why am I on the couch?"
    "Oh wait.{w} That's right.{w} Little girl in attic.{w} Police.{w} Little girl's living in my house now."
    "She tilts her head in confusion."
    a "Nevermind."
    a "What's wrong?"
    "She seemed almost as groggy as me."
    m "Something's beeping in your room."
    a "Oh. That's my alarm clock. I have to go to school."
    "I stretch for a second."
    m "School? You're going somewhere?"
    "She looks worried."
    a "Yeah."
    m "F-for how long?"
    a "A while. A few hours?"
    "She broke eye contact and stood there quietly."
    a "It's alright. I'll be back before you know it and help you find your way home."
    m "Okay..."
    "After I got changed I showed her how to use the TV."
    "That should keep her occupied for a while..."
    a "You think you'll be okay here on your own?"
    m "Yes!{w} I won't cause any trouble."
    m "Probably..."
    "I put on my shoes and head out the door."
    m "Bye..."
    a "See ya."
    
    scene bg house1 with fade
    
    a "I'm home!"
    a "Mikoto! Are you ther-"
    "I look at my feet."
    a "...{w} Why{w} is the refrigerator on the floor...?"
    m "Amotooo."
    "I see Mikoto standing in the kitchen."
    
    show mikoto normal with dissolve
    
    a "Are you alright?"
    m "Yes..."
    "I notice a lot of other things lying around on the floor where they weren't supposed to be."
    a "What happened?"
    m "I-{w}I got hungry and I thought there would be food in this big white box."
    a "So how did it get on the floor...?{w} Along with everything else."
    m "I thought I could use magic to open it but... I overdid it."
    "Using magic as an excuse, huh?{w} My question is, if it wasn't magic, then how DID it end up on the floor...?"
    m "I'm sorry..."
    a "It's alright. It's my fault for not leaving any food for you."
    "I use all my might to pull the refrigerator back up and push it back into the corner of the kitchen and put everything else back to where it belongs."
    a "We need to have a little talk."
    "I sit in one of the chairs of the kitchen table."
    a "Have a seat."
    "I motion my hand towards the chair in front of me."
    m "A-am I in trouble?"
    a "No. You're not."
    "Feels like I'm about to lecture a child."
    "She stands with her hands pressed against her chest."
    a "Go on."
    "She sits in the chair."
    a "Listen. It's alright to talk about magic and stuff in this house, but don't talk about it outside."
    m "Why not?"
    a "Because it'll attract attention."
    m "But I talk about magic all the time in my town."
    a "Where did you come from again?"
    m "The magician town of Engrald."
    "What do I say to this...?"
    "Must be a role-playing town or something."
    a "Look,{w} Mikoto.{w} Can we just drop this thing about magicians and everything?"
    "She tilts her head."
    m "Why?"
    a "Because magic doesn't exist."
    m "Yes it does!"
    "Looks like she's getting a little angry."
    a "Mikoto..."
    m "Watch!"
    "She sprang up and held her hands out."
    a "Don't hurt yourself Mikot-"
    "The teapot suddenly levitates up."
    a "... Huh?"
    "It flies over to a teacup and pours itself."
    a "Whoa!"

    with vpunch
    "*Thud*"
    "I fall off my chair, landing straight on my butt."
    m "See!"
    a "Whoa-{w} wha-{w}how?!"
    m "Magic!"
    "This isn't real."
    a "But-"
    m "It's real!"
    "Okay. Calm down.{w} Calm down."
    "I take a deep breath."
    a "And where you come from, people use magic all the time?"
    m "Yep! For just about everything."
    "This can't be real."
    "Getting up, I move over to the pot."
    a "Where are the strings?"
    "I move my hands around the pot for a moment."
    m "There are none!"
    a "How...?"
    m "Because magic is real! Why don't you believe me?!"
    "It seems like I don't have any reason not to..."
    a "Okay then, put the teapot down."
    "This is my final test."
    "The teapot stops pouring itself and flies back to where it was before."
    a "Okay... Okay."
    "I go closer to her face, and almost whispering I say."
    a "You have to PROMISE me not to tell ANYONE about this. You hear me?"
    "She recoils back a little."
    m "W-why not?"
    "I back up a bit."
    a "Look, you're not home right now."
    "Putting it as gentle as possible, I wave my hand indicating something in the distance."
    a "Your home is probably somewhere far, faaaar away right now."
    m "How do you know?"
    a "Because, as far as I know, no one in this city- this WORLD knows about magic."
    "She counters."
    m "Sure you do! I saw a show on the image screen about a girl using magic."
    a "That's make believe. In this real world it doesn't exist."
    "She gives me the blank stare."
    a "Alright, come on, I'll show you."
    "I motion her to follow me."
    
    hide mikoto normal
    scene bg shoppingdistrict
    with fade
    
    "After she got changed we head outside."
    "We reach the shopping district."
    "She pulls on my sleeve."
    
    show mikoto mage with dissolve
    
    m "Look there's magic right there!"
    "She points to a moving car."
    m "How else could it be moving on it's own?"
    a "It uses energy from gasoline.."
    m "That's... not magic?"
    a "No."
    "I show her around town. She looks up at the skyscrapers like a child seeing them for the first time{w} and I'm starting to believe it really is."
    m "Did you use magic to make things that high up?"
    "I point to a construction site."
    a "That's how they're made. With steel and years of work."
    "We walk around town for an hour, pointing out what things are and how it works."
    "Every object pointed out makes her face seem more and more worried."
    "She suddenly stops with her head down."
    a "Do you see what kind of place you're in now?"
    a "No magic here."
    m "No, that can't be!"
    a "Why would I lie to you?"
    "She pauses for a moment."
    "She suddenly falls to her knees."
    a "H-hey! Whats wrong?!"
    "She covers her face with her hands and starts crying."
    a "Heeey, you're going to make me look like a bad person here."
    "People start to stare."
    m "H-how.{w} *sob*"
    a "How what?"
    m "How far am I from...{w} *sob*{w}... home...?"
    "A small crowd of people begin to gather."
    "I kneel down to her."
    a "Look... {w}I...{w} I don't know.{w} But I promise you I'll do everything I can to get you back home."
    "Her hands move away from her eyes and she looks at me. I could see the tears in her eyes."
    m "...{w} Really?"
    a "Yeah."
    m "You{w} promise? *Sniffle*"
    a "Yeah, I promise."
    "She wipes the tears off with her sleeves."
    a "Come on."
    "I grab her hand and help her up."
    a "Let's head back home."
    "She nods, making no eye contact, and we head back home."
    
    scene bg house1
    show mikoto mage
    with fade
    
    a "You must be tired and sweaty from that walk. Why don't you take a shower first."
    "I hop in the couch and was about to grab the remote, but I noticed Mikoto standing behind me."
    a "What's wrong? Take a shower."
    "She opens her mouth."
    m "Th-...{w} Thank you...{w} Amoto."
    a "Hmm? {w}Oh, no problem."
    a "Anyone else would have done the same thing."
    "At least... most would."
    
    scene bg house1 with fade

    
    "She comes downstairs after her shower."
    
    show mikoto normal with dissolve
    
    a "Hey, you wanna watch some TV with me-?"
    "*Grummmble*"
    "She puts her hand on her tummy."
    a "Alright, let's eat then!"
    "I make some instant noodles and we start to eat while watching TV."
    "It seems like she likes those sappy Korean dramas a lot."
    "She quietly eats her food."
    a "Does it taste good?"
    m "Yep!"
    "After that, I took my shower and we both went to sleep."
    
    hide bg house1
    hide mikoto normal
    with fade
    
    centered "The Next Day." with fade
    
    scene black
    
    "I feel my body rock back and forth gently."
    a "Whuhh."
    m "Amotoo! Your thingie didn't beep, but it's way past 6:30!"
    m "You're going to be late!"
    
    scene bg house1
    show mikoto normal
    with fade
    
    "Cra-!{w}"
    "My body jolts up."
    "Wait...{w} Today's a -"
    a "Sunday..."
    "I plop back down and roll back over and into a comfortable position in the couch, pulling the sheets over my head."
    m "But you're going to be late!"
    a "There's no school on Sundays."
    m "Why not?"
    a "I guess because they thought it would be nice to have a break from school once or twice a week."
    m "Who's they."
    "Ugghhh..."
    m "What's a Sunday?"
    "I have a lot of work to do...{w} But{w} just 5 more minutes."
    a "Go back to sleep, I'll explain everything later."
    m "Okaaaay..."
    "She seemed pretty dissapointed."
    
    hide mikoto normal with dissolve
    
    "I hear her footsteps moving away from me."
    "After a flush of the toilet I hear the footsteps come back to me."
    
    show mikoto normal with dissolve
    
    m "... Amotoo..."
    a "What?"
    "..."
    m "*Grumble*"
    a "Alright, alright, I'm up!"
    "I pull the sheets off, getting a slight chill from the cold."
    a "You want some eggs?"
    m "What kind?"
    "I'm not going through this again."
    a "... I'll just take that as a yes..."
    m "Hmm?"
    
    scene bg shoppingdistrict with fade
    
    "I decided it might be a good idea to show Mikoto around the town some more."
    "So after we ate I brought her around the market district, playing the 'name that object, and how it works' game along the way."
    
    show mikoto mage with dissolve
    
    m "What's that?"
    "She points."
    a "A motorcycle."
    m "What's that?"
    "She points."
    a "An arcade."
    m "What's that?"
    "She points."
    a "A bird."
    m "Does it taste good?"
    "This girl..."
    m "It's a monster!"
    "She suddendly grabs my arm and whimpers."
    "Whoa. She told me what something was this time."
    a "No... that's just some fat chick."
    m "How could they do that to themselves?"
    a "They eat their feelings."
    m "They what?!"
    a "Nuthin'. Don't worry about it."
    "Looks like I'm teasing her a little too much."
    a "Alright, let's buy you some clothes."
    m "Oh! Really?!"
    a "Yes really."
    m "Wai~!"
    a "Hey, now, I can't buy you anything fancy."
    "She ran off without listening."
    a "H-hey, HEY!"
    
    hide mikoto mage with dissolve
    
    "After a very uncomfortable day of female clothes shopping we head back home."
    
    scene bg house1 with fade
    show mikoto normal with dissolve
    
    "I said that but."
    a "I ended up buying her a lot anyways..."
    m "Hmm?"
    "I let out a sigh."
    a "Nothin'."
    "Looks like I gotta cut down on living expenses for myself."
    m "I'll cook today!"
    "She seems very enthusiastic."
    a "Are you sure about this?"
    m "Yes! I can do it!"
    m "... Probably..."
    a "Alright, well I'll go wash my hands real quick."
    
    hide mikoto normal with dissolve
    
    "I walk off into the bathroom and wash my hands."
    a "Kyaa-!"
    "I run back into the kitchen."
    m "What happened?!"
    
    show mikoto normal with dissolve
    
    "Looks like she fell."
    "She sat on the floor with flour all over her head."
    "We're making miso soup..."
    "It looks like she was about to cry."
    m "It's alright."
    "I help her up."
    m "I'll help you through it, okay?"
    "She smiles and nods her head."
    a "Okay!"
    
    scene black with fade
    
    n "In the following days I tried to stay true to my word, but couldn't find any clues on getting her back home."
    n "In the meantime, I tried to teach her how to cook, clean, and even not open the door to strangers (She was too scared to anyways)."
    n "She would even go out shopping on her own sometimes."
    n "She was a fast learner, despite her looks and personality."
    n "I honestly thought she'd at least catch something on fire by now."
    
    nvl clear
    
    n "Her magic helped out a lot as well."
    n "Self-cleaning dishes. Instant microwave with heating magic."
    n "Even automated movement that got all the characters in my game to level 99."
    
    nvl clear
    
    n "But a week passed by{w} and nothing happened."
    n "I started to worry."
    n "No clues."
    n "No one looking for her."
    n "Nothing."
    
    nvl clear
    
    n "But for the most part it was all fun and games."
    n "Even though she was so far away from home, she always had a smile on and never once complained about it."
    n "I might've broken down by now if I were in her situation."
    n "I'd say she's strong."
    n "Until one day..."
    
    scene bg house1 with fade    
    
    nvl clear
    
    show mikoto normal with dissolve
    
    m "It's okay..."
    "Her eyes were down, carefully folding the clothes."
    a "What do you mean it's okay?! I promised I'd help you and I don't even have a single clue about how to get you back yet."
    "She stopped folding."
    m "Umm...{w} It's...{w} Okay.{w} I'm happy..."
    "I pause for a moment to think about it."
    "Happy...?"
    a "What do you mean b-"
    "The T-shirt she was holding fell to the floor."
    a "Oh hey you dropped-"
    "She puts her hand on her face."
    a "Mikoto?"
    
    hide mikoto normal with dissolve
    with vpunch
    
    a "Mikoto?{w} Mikoto?!"
    "I move over to pick her up."
    "She was breathing heavily and her face was red."
    "She's sick."
    
    scene bg house1 with fade
    
    n "At first, I thought it would go away after a while.{w} But it didn't die down, even after two days, so I called the doctor."
    n "He came in to check on her, but had no idea what was wrong with her."
    n "It didn't seem like she had a normal illness at all."
    
    nvl clear
    
    n "Another 3 days passed with no change in her condition."
    n "Another 3 days and no more clues."
    n "I skipped school every one of those days."
    
    nvl clear
    
    scene bg house1
    show mikoto normal
    with fade
    
    m "Y-you should g-go to school."
    "Her voice was weak, and her breathing seemed abnormal."
    a "Save your energy, I'm not going anywhere."
    m "Why..."
    a "Because if I leave, no one'll be here to take care of you."
    "She continued to huff loudly."
    m "Why{w=0.5} are y-you doing so much{w=0.5} for me?"
    a "I'm just doing what anyone else would do."
    "..."
    m "Y-you know, I-I finally remembered something."
    a "What?"
    m "It's about teleporting."
    "To remember something about teleporting after this long. She really is care too carefree."
    "I lean back on my chair."
    a "Well?"
    m "It expires over time."
    a "Aaaaand{w=0.5} that means?"
    m "It means that I have to use return magic before the time runs out."
    a "What happens if you don't?"
    m "Magic slowly gets sucked out of my body."
    a "Is that happening right now?"
    m "Yes..."
    a "Can you use return magic right now?"
    m "Yes..."
    "I lean forward on my chair."
    a "Wait... You can use this 'return magic' to get back home?"
    "She nods."
    "I jump off my chair, onto my feet, flinging my arms flung up into the air."
    a "That's great! You can return home now."
    "I couldn't help but put on a big grin."
    "... But she wasn't smiling."
    "In fact... She seemed sad."
    "That hit me like a train."
    "My hands went back down."
    "What could make her feel sad about going home?"
    a "What's wrong?{w} You can't go back?"
    m "I can..."
    "My mood changes to happy again."
    a "Great! Then do it! Before all the magic in your body gets sucked out."
    m "But... I don't want to leave you."
    "I froze."
    m "You live here all a-alone and... That's sad."
    "I hadn't thought about that..."
    "About what would happen after she leaves..."
    "About her feelings..."
    "Her presence here just seemed so natural."
    "She made a mistake last time and made it here on accident, right? So she won't be able to teleport back here next time."
    "So... This... Might be it."
    "I'm still left standing there, looking like an idiot."
    a "I have my grandfather."
    m "He's almost never home, you said it yourself."
    "My voice went down to a whisper."
    a "It's alright... It's time for you to go home now."
    m "But-"
    a "No buts."
    a "Your friends are waiting for you at home aren't they?"
    m "..."
    a "Come on. It's time to say goodbye."
    
    "A blue light radiated around her body."
    "A trail of tears crawled its way out of her eye and rolls down her pale cheeks."
    a "Come on.{w} Don't be a crybaby."
    m "Amoto..."
    "The light began to glow brighter."
    a "Don't trouble your friends now."
    m "I won't."
    m "Probably..."
    "I chuckled a little."
    m "Thank you for...{w} Everything."
    a "Anytime."
    m "We'll meet again...{w} Right...?"
    "Everything stops."
    "It's... not impossible."
    m "Amoto...?"
    "The blue lights blind me to the point where I can only see the outline of what was the mysterious girl named Mikoto."
    a "Yeah...{w} We will."
    "She gives a little smile."
    m "Then I'll see you then!"
    "The light flashes one last time."
    
    hide mikoto normal with fade
    
    "And just like that{w} she's gone."
    "I was left sitting in my chair."
    "I stare at my hands for what seemed like an eternity."
    "Something drips on my hand."
    "I lift my hand up to feel my face."
    a "Wet..."
    a "Yeah...{w} I guess I'll see ya later..."
    
    scene black with fade
    
    n "The times we spent together..."
    n "All the fun moments we had..."
    n "Even all the trouble you've caused..."
    
    nvl clear
    
    a "I have to get a new fridge ya'know!"
    
    n "It was all like watching a dream. {w}It started as soon as it ended."
    n "But just like a wonderful dream."
    n "I'll never forget it."
    
    scene fin with Dissolve(3.0)
    
    scene black with fade
    
    centered "Credits:\nPhotography, scripting, and storyline writing by GateSide\nArtwork by Base\nProofreading/Special Thanks to Base, Fmazon3, Alberte, Krew, KiraDang, Riviera, KonChon and Rhonos \nProgram used - Ren'py\n\nThis game was made by Arctix Circuit" with fade
    centered "Thanks for reading!\n\nRemember to join our site!" with fade
    
